// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#ifndef STDAFX_H_
#define STDAFX_H_

#ifdef WIN32
#pragma once

#define _WINT_T
#define WIN32_LEAN_AND_MEAN
//#define PNG_VERSION_INFO_ONLY

#include "targetver.h"
#endif

#include <cmath>
#include <cstring>
#include <fstream>
#include <iostream>
#include <istream>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <iomanip>
#include <time.h>
#include <vector>

#ifdef WIN32
#include <tchar.h>
#include <windows.h>
#else
// From windows.h, needed for non Windows targets.
typedef unsigned char       BYTE;
#endif

#include <png.h>

extern "C" {
#include <libavcodec/avcodec.h>
#include <libavformat/avformat.h>
#include <libswscale/swscale.h>
};
#include <SDL.h>
#include <SDL_opengl.h>
#include <SDL_thread.h>
#include <GL/gl.h>
#include <GL/glu.h>
//#include <GL/glx.h>
#include <SDL_ttf.h>
#include "rand/types.h"
#include "urandom.h"
//#include "Viz3D.h"
#include "VizGrid.h"
#include "Element.h"
#include "Cell.h"

#include <assert.h>
#include <string.h>
#include "critical_params.h"
#include <emmintrin.h>
#include "rand/sfmt.h"
#include "rand/sfmt-params.h"
#include "rand/rtprng.h"
#include "rand/lcg.h"
#include "rand/standard.h"
#include "rand/isaac.h"
#include "rand/cran32.h"
#ifdef USE_BOOST
#include <boost/random/uniform_int.hpp>
#include <boost/random/variate_generator.hpp>
#include <boost/random/mersenne_twister.hpp>
#endif


#endif // STDAFX_H_
