#include "stdafx.h"

#ifndef __URANDOM_H__
#define __URANDOM_H__

using namespace std;

//#define USE_BOOST

enum RandType { Rand_Urandom, Rand_System, Rand_Cran32, Rand_Lcg, Rand_Rtprng, Rand_Isaac, Rand_Sfmt, Rand_Tr1mt };

class urandom {
	public:
		urandom(RandType method, u32 seed = 0);
		~urandom();
		void settype(RandType method, u32 seed = 0);
		u32 get(u8 len);
		u32 get32();
		float getfloat();
		float getnormal(float mean, float stddev);
		u32 getused();
		u32 getacquired();
		u32 getseed();
		s32 get_inrange(s32 min, s32 max);

	private:
		ifstream rnd;
		u32 totalused;
		u32 totalacquired;
		RandType type;
		u32 seedvalue;
};

#endif

